org.apache.cayenne.configuration.server

## Class DefaultDataNodeFactory

- java.lang.Object
- - org.apache.cayenne.configuration.server.DefaultDataNodeFactory

- All Implemented Interfaces:
    DataNodeFactory

      public class DefaultDataNodeFactory
      extends Object
      implements DataNodeFactory

  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DbAdapterFactory` | `adapterFactory`
    `protected BatchTranslatorFactory` | `batchTranslatorFactory`
    `protected DataSourceFactory` | `dataSourceFactory`
    `protected JdbcEventLogger` | `jdbcEventLogger`
    `protected AdhocObjectFactory` | `objectFactory`
    `protected RowReaderFactory` | `rowReaderFactory`
    `protected SchemaUpdateStrategyFactory` | `schemaUpdateStrategyFactory`
    `protected SelectTranslatorFactory` | `selectTranslatorFactory`
    `protected SQLTemplateProcessor` | `sqlTemplateProcessor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDataNodeFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataNode` | `createDataNode(DataNodeDescriptor nodeDescriptor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jdbcEventLogger

          protected JdbcEventLogger jdbcEventLogger

    - #### rowReaderFactory

          protected RowReaderFactory rowReaderFactory

    - #### dataSourceFactory

          protected DataSourceFactory dataSourceFactory

    - #### batchTranslatorFactory

          protected BatchTranslatorFactory batchTranslatorFactory

    - #### selectTranslatorFactory

          protected SelectTranslatorFactory selectTranslatorFactory

    - #### adapterFactory

          protected DbAdapterFactory adapterFactory

    - #### objectFactory

          protected AdhocObjectFactory objectFactory

    - #### schemaUpdateStrategyFactory

          protected SchemaUpdateStrategyFactory schemaUpdateStrategyFactory

    - #### sqlTemplateProcessor

          protected SQLTemplateProcessor sqlTemplateProcessor

  - ### Constructor Detail

    - #### DefaultDataNodeFactory

          public DefaultDataNodeFactory()

  - ### Method Detail

    - #### createDataNode

          public DataNode createDataNode(DataNodeDescriptor nodeDescriptor)
                                  throws Exception

      Specified by:
        `createDataNode` in interface `DataNodeFactory`
      Throws:
        `Exception`

Copyright © 2001–2021 Apache Cayenne. All rights reserved.